Bug 1182409 - engague-digitizer: appdata file [PATCH]
Summary: engague-digitizer: appdata file [PATCH]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: engauge-digitizer
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 02:53 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-01-31 16:52 UTC (History)
1 user (show)

Fixed In Version: engauge-digitizer-5.2-7.20150115git28de7d.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:54:40 UTC


Attachments (Terms of Use)
add appdata and icon (25.86 KB, application/mbox)
2015-01-15 02:53 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details

Description Zbigniew Jędrzejewski-Szmek 2015-01-15 02:53:04 UTC
Created attachment 980286 [details]
add appdata and icon

Description of problem:
engague is missing appdata file and does not show up in gnome-software. Attached patch adds it and converts the icon to svg so it looks better in modern environment. Please apply.

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-01-15 02:53:30 UTC
Submitted upstream as https://github.com/markummitchell/engauge6/issues/5 and https://github.com/markummitchell/engauge6/issues/6.

Comment 2 Antonio 2015-01-15 14:14:58 UTC
Hi.

I'm waiting upstream response before to change the RPMs. Thanks for your contribution.

Comment 3 Antonio 2015-01-15 17:56:21 UTC
SVG and appdata files already included by upstream in the latest commits.
Please, test these new rpms: http://koji.fedoraproject.org/koji/taskinfo?taskID=8627405

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-01-15 18:05:25 UTC
It works, but things could be better:

$ appstream-util validate /usr/share/appdata/engauge-digitizer.appdata.xml
/usr/share/appdata/engauge-digitizer.appdata.xml: FAILED:
• attribute-invalid     : <screenshot> width did not match specified
• attribute-invalid     : <screenshot> height did not match specified
• attribute-invalid     : <screenshot> width was too small
• style-invalid         : Not enough <p> content before <ul>
Validation of files failed

Also, the .ico icon really does not look nice. (Try searching for engauge in the gnome-shell overview. The icon is fuzzy, cropped, and has both "engauge" and "engauge-digitizer").

Comment 5 Antonio 2015-01-15 22:05:18 UTC
This release should be good: http://koji.fedoraproject.org/koji/taskinfo?taskID=8629856

Comment 6 Fedora Update System 2015-01-16 15:33:08 UTC
engauge-digitizer-5.2-7.20150115git28de7d.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/engauge-digitizer-5.2-7.20150115git28de7d.fc20

Comment 7 Fedora Update System 2015-01-16 15:33:14 UTC
engauge-digitizer-5.2-7.20150115git28de7d.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/engauge-digitizer-5.2-7.20150115git28de7d.fc21

Comment 8 Fedora Update System 2015-01-16 15:34:23 UTC
engauge-digitizer-5.2-7.20150115git28de7d.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/engauge-digitizer-5.2-7.20150115git28de7d.el6

Comment 9 Fedora Update System 2015-01-16 19:11:22 UTC
Package engauge-digitizer-5.2-7.20150115git28de7d.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing engauge-digitizer-5.2-7.20150115git28de7d.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0324/engauge-digitizer-5.2-7.20150115git28de7d.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-01-27 02:54:40 UTC
engauge-digitizer-5.2-7.20150115git28de7d.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-01-27 03:04:57 UTC
engauge-digitizer-5.2-7.20150115git28de7d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-01-31 16:52:33 UTC
engauge-digitizer-5.2-7.20150115git28de7d.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.